# An unofficial Google Tools wrapper

## GoogleTools

This library provides a simple interface for accessing GoogleTools features.

### Installation
```bash
pip install wrapper_google_tools==0.1.0
```

## Usage
```python
from google_tools import GoogleTools as GT

currencyConversion = GT.Finances.currency_conversion

# first example:
>>> result = currencyConversion(base_currency='USD', target_currency='BRL')
>>> print(result)
(1, 4.85)

# second example:
>>> result = currencyConversion(base_currency='USD', target_currency='BRL', only_float=False)
>>> print(result) # don't look like it on the real terminal, just prettyfied it
{
    'conversion': [
        '1 USD',
        '4.85 BRL'
    ],
    'float': (1, 4.85),
    'last_update': 'Nov 21, 5:06:00 AM UTC'
}
```

### Disclaimer
This library is provided for educational purposes only and should not be used in production environments. It is not affiliated with Google and may not always provide accurate or up-to-date currency conversion rates. For real-time currency conversion services, please refer to official financial sources.
